
"""

@date ck
@desc 每小时获取各平台的的订单数据

"""
from util import platform_config_util
from util import date_util
from util import db_order_util
from util import platform_order_api_util
import time
import datetime


def start_order_job():
    start = time.time()
    myday= '2020-11-27'

    account_list_yuewen = platform_config_util.get_yuewen_account_list()
    account_list_zhangzhongyun = platform_config_util.get_zhangzhongyun_account_list()
    account_list_huasheng = platform_config_util.get_huasheng_account_list()
    account_list_youshuge = platform_config_util.get_youshuge_account_list()
    account_list_zhangdu = platform_config_util.get_zhangdu_account_list()

    db_order_util.batch_save_order(platform_order_api_util.get_zhangzhongyun_order(myday, account_list_zhangzhongyun))
    exit()
    db_order_util.batch_save_order(platform_order_api_util.get_yuewen_order(myday, account_list_yuewen))
    db_order_util.batch_save_order(platform_order_api_util.get_huasheng_order(myday, account_list_huasheng))
    db_order_util.batch_save_order(platform_order_api_util.get_youshuge_order(myday, account_list_youshuge))
    db_order_util.batch_save_order(platform_order_api_util.get_zhangdu_order(myday, account_list_zhangdu))


    print('订单同步执行时间（秒）：', int(time.time() - start))


if __name__ == '__main__':
    print(date_util.getCurrentFormatTimeStr())
    start_order_job()
